import { Container, GoogleReCaptcha } from '@google-recaptcha/core';
export interface GoogleReCaptchaDefaultProviderProps {
    host?: GoogleReCaptcha.Host;
    isEnterprise?: boolean;
    language?: string;
    scriptProps?: GoogleReCaptcha.Script;
    siteKey: string;
}
export interface Explicit {
    container?: Container;
    inherit?: boolean;
    tabIndex?: number;
    callback?: (token: string) => void;
    errorCallback?: () => void;
    expiredCallback?: () => void;
}
export interface GoogleReCaptchaV2InvisibleProviderProps extends GoogleReCaptchaDefaultProviderProps {
    type: Extract<GoogleReCaptcha.Type, 'v2-invisible'>;
    explicit?: Explicit & {
        badge?: GoogleReCaptcha.Badge;
    };
}
export interface GoogleReCaptchaV2CheckBoxProviderProps extends GoogleReCaptchaDefaultProviderProps {
    type: Extract<GoogleReCaptcha.Type, 'v2-checkbox'>;
    explicit?: Explicit & {
        container: Container;
        action?: GoogleReCaptcha.Action['action'];
        theme?: GoogleReCaptcha.Theme;
        size?: GoogleReCaptcha.Size['v2-checkbox'];
    };
}
export interface GoogleReCaptchaV3ProviderProps extends GoogleReCaptchaDefaultProviderProps {
    type: Extract<GoogleReCaptcha.Type, 'v3'>;
    explicit?: Explicit & {
        badge?: GoogleReCaptcha.Badge;
    };
}
export type GoogleReCaptchaProviderProps = GoogleReCaptchaV2CheckBoxProviderProps | GoogleReCaptchaV2InvisibleProviderProps | GoogleReCaptchaV3ProviderProps;
declare function __VLS_template(): {
    attrs: Partial<{}>;
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    rootEl: any;
};
type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;
declare const __VLS_component: import('vue').DefineComponent<GoogleReCaptchaV2InvisibleProviderProps | GoogleReCaptchaV2CheckBoxProviderProps | GoogleReCaptchaV3ProviderProps, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    error: () => any;
    load: (googleReCaptcha: GoogleReCaptcha.Instance) => any;
}, string, import('vue').PublicProps, Readonly<GoogleReCaptchaV2InvisibleProviderProps | GoogleReCaptchaV2CheckBoxProviderProps | GoogleReCaptchaV3ProviderProps> & Readonly<{
    onError?: (() => any) | undefined;
    onLoad?: ((googleReCaptcha: GoogleReCaptcha.Instance) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
