import { defineComponent as K, ref as m, reactive as I, onMounted as V, watch as _, onUnmounted as P, provide as A, readonly as L, renderSlot as j } from "vue";
import { checkGoogleReCaptchaInjected as C, removeGoogleReCaptchaScript as B, removeGoogleReCaptchaContainer as H, removeGoogleReCaptchaBadge as S, injectGoogleReCaptchaScript as O, hideGoogleReCaptchaBadge as W } from "@google-recaptcha/core";
import { RECAPTCHA_KEY as $ } from "../plugins/google-recaptcha-plugin.js";
const z = "onGoogleReCaptchaLoad", M = "google-recaptcha-container", q = /* @__PURE__ */ K({
  __name: "GoogleReCaptchaProvider",
  props: {
    type: {},
    explicit: {},
    host: {},
    isEnterprise: { type: Boolean },
    language: {},
    scriptProps: {},
    siteKey: {}
  },
  emits: ["load", "error"],
  setup(R, { emit: w }) {
    var l, d, g;
    const e = R, s = w, n = m(!0), o = m(), G = (a) => {
      var i;
      if (!((i = o.value) != null && i.execute))
        throw new Error("Google ReCaptcha has not been loaded");
      return o.value.execute(e.siteKey, { action: a });
    }, E = (a) => {
      var i;
      if (!((i = o.value) != null && i.execute))
        throw new Error("Google ReCaptcha has not been loaded");
      return o.value.execute(a);
    }, r = I({
      get instance() {
        return o.value;
      },
      siteKey: e.siteKey,
      isLoading: n.value,
      language: e.language,
      executeV3: G,
      executeV2Invisible: E,
      reset: (l = o.value) == null ? void 0 : l.reset,
      getResponse: (d = o.value) == null ? void 0 : d.getResponse,
      render: (g = o.value) == null ? void 0 : g.render
    }), p = () => {
      var v, u, h, y, x;
      const a = ((v = e.scriptProps) == null ? void 0 : v.id) ?? `google-recaptcha-${e.type}-script`, i = C(), c = () => {
        var b, f;
        n.value = !0;
        const t = e.isEnterprise ? (b = window.grecaptcha) == null ? void 0 : b.enterprise : window.grecaptcha;
        if (!t) {
          s("error");
          return;
        }
        if (e.explicit || t.ready(async () => {
          o.value = t, r.reset = t.reset, r.getResponse = t.getResponse, r.render = t.render, s("load", t), n.value = !1;
        }), e.explicit) {
          const k = {
            size: e.type === "v3" || e.type === "v2-invisible" ? "invisible" : "normal",
            ...(e.type === "v3" || e.type === "v2-invisible") && { badge: "bottomright" },
            sitekey: e.siteKey,
            ...e.explicit,
            "expired-callback": e.explicit.expiredCallback,
            "error-callback": e.explicit.errorCallback
          };
          i || (e.type === "v3" || e.type === "v2-invisible") && ((f = e.explicit) == null ? void 0 : f.badge) === "hidden" && W(), t.ready(async () => {
            e.explicit.container && t.render(e.explicit.container, k, !!e.explicit.inherit), o.value = t, r.reset = t.reset, r.getResponse = t.getResponse, r.render = t.render, s("load", t), n.value = !1;
          });
        }
      };
      window[z] = c, i ? c() : O({
        isEnterprise: e.isEnterprise,
        host: e.host,
        ...(e.type === "v3" || e.type === "v2-invisible") && ((u = e.explicit) == null ? void 0 : u.badge) && {
          badge: ((h = e.explicit) == null ? void 0 : h.badge) === "hidden" ? "bottomright" : (y = e.explicit) == null ? void 0 : y.badge
        },
        ...e.language && { hl: e.language },
        render: (e.type === "v3" || e.type === "v2-invisible") && ((x = e.explicit) != null && x.container) || e.type === "v2-checkbox" ? "explicit" : e.siteKey,
        ...e.scriptProps,
        onload: c,
        id: a
      });
    };
    return V(p), _(
      () => [e.siteKey, e.type, e.isEnterprise, e.language, e.host],
      p
    ), P(() => {
      var a, i;
      C() && B(), (e.type === "v3" || e.type === "v2-invisible") && !((a = e.explicit) != null && a.container) && ((i = e.explicit) != null && i.badge) ? H(M) : S();
    }), A($, L(r)), (a, i) => j(a.$slots, "default");
  }
});
export {
  q as default
};
//# sourceMappingURL=GoogleReCaptchaProvider.vue.js.map
